MCPBundler Docs
MCPBundler Docs
Volver al marketplacePrimeros PasosAutenticacionTutorial - De un Bundle a un Agente Conectado
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Bootstrap Agent DeploymentCreate DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentBind CredentialList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnbind CredentialUpdate Router ConfigUpdate Token AllowlistsWrite Credential
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceDeployments

List Deployments

GET
/v1/deployments

List the authenticated user's deployments.

Scoping to the caller's own deployments is enforced by bundle_deployment_provider.search via the security context. Returns a lightweight summary (health, active token count) rather than the full detail payload returned by get_deployment.

Args: bundle_id: Optional filter to deployments of one specific bundle. name: Optional prefix-match filter on deployment name. created_at: Optional FHIR-style prefixed datetime filters on creation time. updated_at: Optional FHIR-style prefixed datetime filters on last-updated time. _sort: Optional sort field (name, created_at, or updated_at), with a leading "-" for descending.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

bundle_id?|

Filter to deployments of a specific bundle

name?|

Filter by deployment name (prefix match)

created_at?array<string>|

Filter by creation time, FHIR-style prefixed datetime search

updated_at?array<string>|

Filter by last-updated time, FHIR-style prefixed datetime search

_sort?|

Sort field with optional - prefix for descending. Supported: name, created_at, updated_at

verify_locally?Verify Locally
Defaulttrue
_count? Count
Range1 <= value <= 100
Default100
_page? Page
Range1 <= value
Default1

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/deployments"
{  "page": 0,  "page_size": 0,  "has_next": true,  "has_previous": true,  "total_pages": 0,  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "bundle_id": "fc6f5a67-caa1-4339-9c14-a67826143b60",      "bundle_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "health": "grey",      "token_count": 0,      "router_enabled": false,      "router_key_id": "1c1c460b-a98a-4785-9c9d-f5e0af128ea5",      "router_key_name": "",      "loading_strategy": "eager",      "router_set_context": true,      "router_rolling_window": false    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

List Credential Metadata

Previous Page

Rename Deployment

Next Page